.schedulebar {
  //border: solid 1px red;
}

.form--flex {
  //border: solid 1px blue;
  background: rgb(238, 238, 238);
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 10px 10px;
  margin-top: 10px;
  select {
    width: 200px;
  }
  &--left {
    flex: 1;
    display: flex;
    align-items: center;
    margin: 0px -10px;
    .form-group {
      //border: solid 1px red;
      display: block;
      margin-right: 10px;
      margin-left: 10px;
      .radio {
        margin: 0px 10px;
      }
    }
  }
  &--right {
    //border: solid 1px blue;
    display: flex;
    justify-content: space-between;
  }
}

.bar-option {
  display: flex;
  align-items: center;

  &--icon {
    width: 70px;
    height: 30px;
    //border: solid 1px red;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    color: #000;
    cursor: pointer;
    background: #ffffff;
    margin: 0px 2.5px;
    .glyphicon {
      margin-right: 5px;
    }
    &.active {
      background: rgb(134, 134, 134);
      color: #ffffff;
    }
    &._left {

    }
    &._right {
    }
  }

}

.control-week {
  //border: solid 1px red;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  margin-right: 10px;
  display: none;
  &.hasWeek {
    display: flex;
  }
  &--right {
    transform: scale(-1);
  }
  &--title {
    padding: 0px 10px;
    position: relative;
    ._title_txt {

    }
    ._date_txt {
      border: solid 1px red;
      position: absolute;
      top: 0px;
      left: 0px;
      width: 100%;
      height: 100%;
      opacity: 0;
      input {
        border: solid 1px blue;
        display: block;
        width: 100%;
        height: 100%;
      }

    }
  }
}

.head_title {
  //border: solid 1px red;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: rgba(51, 51, 51, 0.2);
  cursor: pointer;
  padding: 10px 10px;
  ._title {
    font-weight: bold;
    color: #3A70AF;
  }
  ._right {
    //border: solid 1px blue;
    display: flex;
    align-items: center;
    button {
      margin-right: 25px;
    }
    ._icon_up {
      * {
        transition: all 0.25s linear;
      }
      .glyphicon {
        color: #3A70AF;
      }
    }
  }
  &[aria-expanded="true"] {
    ._icon_up {
      .glyphicon {
        transform: scale(-1);
      }
    }
  }
}
.container_row table {
  .row_child_head {
    td {
      padding: 5px !important;
      //border: solid 1px red;
    }
  }
  .bar_row_child_head {
    td {
      //border: solid 1px red;
      padding-top: 0px !important;
      border-top: none;
      color: #666666;
    }
  }
  &.bg-blue {
    .bar_row_child_head {
      td {
        padding-top: 0px !important;
      }
    }
  }
}

.container_row {
  &.hasWeek {
    .container_row--list {
      display: none;
    }
    .container_row--week {
      display: block;
    }
  }
  .container_row--list {
    display: block;
    width: 100%;
    overflow: hidden;
  }
  .container_row--week {
    display: none;
  }
  table {
    margin-bottom: 0px;
    &.bg-blue {
      background: rgba(229, 243, 251, 1);
      table-layout: fixed;
      tr {
        td {
          padding: 10px !important;
        }
      }
    }
    td, th {
      padding: 0 !important;
      vertical-align: middle !important;
      .icon_table_arr {
        transition: all 0.25s linear;
      }
    }
    td[aria-expanded="true"] {
      .icon_table_arr {
        transform: rotate(90deg) translateX(9px);
      }
    }
    .thead_tb {
      td {
        padding: 10px !important;
      }
    }
  }
}

.group_link {
  //border: solid 1px red;
  padding: 10px 0px;
}

.price_total_title {
  //border: solid 1px red;
  padding: 10px 10px;
  text-align: right;

}


.links_row {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  span {
    font-weight: 400;
    font-style: normal;
    font-size: 13px;
    color: #3A70AF;
    cursor: pointer;
    display: block;
    padding: 0px 10px;
  }
}
._links_control {
  display: flex;
  align-items: center;
  ._item {
    font-weight: 400;
    font-style: normal;
    font-size: 13px;
    color: #3A70AF;
    cursor: pointer;
    margin: 0px 6px;
    display: flex;
    align-items: center;
    line-height: 2.3em;
    &:hover {
      //text-decoration: underline;
      //font-weight: bold;
    }
    .glyphicon {
      top: 0;
      margin-right: 5px;
    }
  }
}

._item_flx {
  //border: solid 1px red;
  display: flex;
  width: 100%;
  justify-content: space-between;
  background-color: rgba(46, 137, 215, 0.2);
  border-left: solid 3px rgba(46, 137, 215, 1);
  padding: 10px;
  cursor: pointer;
  &._red {
    border-color: red;
  }
}

.form_search_result {
  max-width: 600px;
  width: 100%;
}

.order_total_results {
  background: #f5f5f5;
  padding: 10px;
  display: flex;
  justify-content: flex-end;
  flex-wrap: wrap;
  .cpn_flex {
    //border: solid 1px red;
    justify-content: flex-end;
    width: 100%;
    margin-bottom: 5px;
    span {
      text-align: right;
    }
    ._num {
      width: 60px;
      text-align: right;
    }
  }
}

.order_top_detail {
  //border: solid 1px red;
  display: flex;
  align-items: flex-start;
  padding: 20px;
  margin-bottom: 20px;
  ._left {
    padding-right: 10px;
  }
  table {
    border: solid 1px #dddddd;
    margin-bottom: 0px;
  }
}

.content_delivery {
  padding: 20px;
}

.date_fixed {
  //border: solid 1px red;
  //position: fixed;
  //opacity: 0;
  //z-index: -1;
  //pointer-events: none;
}

.table_week {
  border: solid 1px #dddddd;
  //padding: 0px 10px;
  thead {
    tr th {
      //border: solid 1px red;
      padding: 10px 0px 10px 10px !important;
      border-right: solid 1px #dddddd;
    }
  }
}

.collapse_list {
  background: rgba(229, 243, 251, 1);
  padding: 0px 0px 0px 10%;
}
